Conteníu

# Seek Statement

Define la posición de la siguiente escritura o llectura d'un ficheru abiertu cola instrucción Open.

P'ficheros d'accesu aleatoriu, la instrucción Seek define'l númberu del siguiente rexistru al que se va aportar.

Pal restu de ficheros, la instrucción Seek define la posición de byte na que va asoceder la siguiente operación.

### Syntax:

    Seek [#]filePos, {filePos|recordNum}

## Parameters:

fileNum: The data channel number used in the Open statement.

filePos, recordNum: Position for the next writing or reading. Position can be a number between 1 and 2,147,483,647. According to the file type, the position indicates the number of the record (files in the Random mode) or the byte position (files in the Binary, Output, Append or Input mode). The first byte in a file is position 1, the second byte is position 2, and so on.

### Error codes:

5 Llamada a procedimientu non válida

52 Nome de ficheru o númberu incorrectos

Temes rellacionaos

Open Statement

Seek function